@import "ui/variables";
@import "ui/mixins";
@import "pages/basic";
//@import "pages/land-to-font";
@import "pages/land-to-sprites-svg";
@import "pages/land-to-sprites-jpg";

@import url(https://fonts.googleapis.com/css?family=Open+Sans:300,400,700,800,600&subset=latin,cyrillic);

$land-to-col1: #FD444A;
$land-to-col2: #00A0D0;

.yy-p-land-to {
  @include fix-all-elements;
  line-height: 1.2;
  font-family: 'Open Sans', sans-serif;
  font-size: 16px;
  background: #fff;
  .yy-p-lev1 {
    height: 500px;
    background: url(../images/land-to/car-back.png) no-repeat center, linear-gradient(#0A0509, #444247), #272328;
    background-size: contain;
    text-align: left;
    color: #fff;
    padding: 1px 0;
    font-weight: 300;
    .yy-p-h {
      font-weight: 700;
      font-size: 47px;
      margin: 14px 0;
    }
    .yy-p-text1 {
      margin-top: 26px;
      font-size: 20px;
    }
    .yy-p-text2 {
      font-size: 40px;
      margin: 4px 0 30px;
    }
    .yy-p-b {
      font-weight: 900;
    }
    .yy-p-btn {
      @include link-reset(#fff);
      display: inline-block;
      padding: 14px 34px;
      font-size: 20px;
      text-transform: uppercase;
      font-weight: 700;
      background: #FF2C3A;
      border-radius: 5px;
      &:hover {
        background: darken(#FF2C3A, 15%);
      }
    }
  }
  .yy-p-lev2 {
    font-weight: 300;
    font-size: 14px;
    .yy-p-features {
      @include list-reset;
      margin: 28px 0;
      &:after {
        content: '';
        display: block;
        @include clear;
      }
    }
    .yy-p-feature {
      display: inline-block;
      text-align: center;
      width: 33%;
      float: left;
      &:first-child {
        text-align: left;
      }
      &:last-child {
        text-align: right;
      }
    }
    .yy-p-box {
      display: inline-block;
      text-align: center;
      width: 254px;
    }
    .yy-p-h {
      color: $land-to-col1;
      font-size: 40px;
    }
    .yy-p-hr {
      height: 1px;
      &:after {
        content: '';
        display: block;
        width: 80px;
        height: 100%;
        background: $land-to-col1;
        margin: 4px auto;
      }
    }
    .yy-p-text {
      margin-top: 12px;
      line-height: 1.4;
    }
  }
  .yy-p-lev3 {
    font-weight: 300;
    font-size: 14px;
    height: 300px;
    background: #fff;
    .yy-p-container {
      position: relative;
      height: 100%;
    }
    .yy-p-bg {
      @extend .yy-land-to-car-lines;
      @extend .yy-land-to-car-lines-dims;
      position: absolute;
      right: -110px;
      bottom: 0;
    }
    .yy-p-items {
      position: absolute;
      left: 0;
      top: 20px;
    }
    .yy-p-line1 {
      margin-bottom: 10px;
    }
    .yy-p-line2 {
      margin-left: 60px;
    }
    .yy-p-line3 {
      margin: 34px 0 0 192px;
      font-size: 18px;
      color: $land-to-col1;
    }
    .yy-p-item {
      display: inline-block;
      &>* {
        display: inline-block;
        vertical-align: middle;
      }
    }
    .yy-p-item1 {
      .yy-p-icon {
        @extend .yy-land-to-item-1;
        @extend .yy-land-to-item-1-dims;
      }
    }
    .yy-p-item2 {
      margin-left: 30px;
      .yy-p-text {
        text-align: right;
      }
      .yy-p-icon {
        @extend .yy-land-to-item-2;
        @extend .yy-land-to-item-2-dims;
      }
    }
    .yy-p-item3 {
      margin-left: 80px;
      .yy-p-icon {
        @extend .yy-land-to-item-3;
        @extend .yy-land-to-item-3-dims;
      }
    }
    .yy-p-item4 {
      .yy-p-icon {
        margin-left: -14px;
        @extend .yy-land-to-item-4;
        @extend .yy-land-to-item-4-dims;
      }
    }
    .yy-p-item5 {
      margin-left: 10px;
      .yy-p-text {
        text-align: right;
      }
      .yy-p-icon {
        @extend .yy-land-to-item-5;
        @extend .yy-land-to-item-5-dims;
      }
    }
    .yy-p-item6 {
      margin-left: 10px;
      .yy-p-icon {
        @extend .yy-land-to-item-6;
        @extend .yy-land-to-item-6-dims;
      }
    }
  }
  .yy-p-lev4 {
    height: 400px;
    background: url(../images/land-to/engine.jpg);
    background-size: cover;
    color: #fff;
    font-weight: 300;
    text-align: center;
    padding: 1px 0;
    .yy-p-container {
      position: relative;
    }
    .yy-p-h {
      font-size: 40px;
      margin: 28px;
      font-weight: 300;
    }
    .yy-p-hr {
      width: 90%;
      height: 1px;
      background: $land-to-col2;
      margin: auto;
      left: 0;
      right: 0;
      top: 224px;
      position: absolute;
    }
    .yy-p-features {
      width: 100%;
      margin-top: 60px;
      &:after {
        content: '';
        display: block;
        @include clear;
      }
    }
    .yy-p-box {
      display: inline-block;
      float: left;
      width: 33.3%;
      text-align: center;
      &:first-child {
        text-align: left;
      }
      &:last-child {
        text-align: right;
      }
    }
    $f: 230px;
    .yy-p-feature {
      height: $f;
      width: $f;
      text-align: center;
      position: relative;
      background: $land-to-col2;
      border-radius: $f;
      padding: 1px 0;
      display: inline-block;
    }
    .yy-p-icon {
      margin: auto;
    }
    .yy-p-feature1 {
      .yy-p-icon {
        @extend .yy-land-to-howto-1;
        @extend .yy-land-to-howto-1-dims;
        display: inline-block;
        position: absolute;
        left: -96px;
        right: 0;
        top: 130px;
      }
    }
    .yy-p-icon-box {
      pointer-events: none;
      overflow: hidden;
      height: $f;
      width: $f;
      text-align: center;
      position: absolute;
      border-radius: $f;
      padding: 1px 0;
      left: 0;
      top: 0;
    }
    .yy-p-feature2 {
      .yy-p-icon {
        @extend .yy-land-to-howto-2;
        @extend .yy-land-to-howto-2-dims;
      }
    }
    .yy-p-feature3 {
      .yy-p-icon {
        @extend .yy-land-to-howto-3;
        @extend .yy-land-to-howto-3-dims;
        margin-top: 35px;
      }
    }
    $num: 50px;
    .yy-p-num {
      height: $num;
      width: $num;
      line-height: $num;
      font-size: 30px;
      text-align: center;
      display: inline-block;
      position: absolute;
      left: 0;
      right: 0;
      margin: auto;
      top: -$num/2;
      background: #fff;
      color: $land-to-col2;
      border-radius: $num;
    }
    .yy-p-text {
      margin: 44px 0 18px;
      font-size: 20px;
    }
  }
  .yy-p-lev5 {
    background: #fff;
    .yy-p-h {
      font-size: 40px;
      margin: 46px 0 28px;
      text-align: center;
      font-weight: 300;
    }
    .yy-p-list {
      $count: 5;
      -webkit-column-count: $count;
      -moz-column-count: $count;
      column-count: $count;
      line-height: 32px;
      margin: 30px 0;
      ul {
        @include list-reset;
        margin: 0;
      }
      li {
        text-transform: uppercase;
        font-size: 14px;
      }
      a {
        @include link-simple(#1DA6C8);
      }
    }
  }
  .yy-p-lev6 {
    background: #fff;
    .yy-p-h {
      font-size: 40px;
      margin: 46px 0 28px;
      text-align: center;
      font-weight: 300;
    }
    ul {
      @include list-reset;
    }
    li {
      margin-bottom: 70px;
      &>* {
        display: inline-block;
        float: left;
      }
      &:after {
        content: '';
        @include clear;
      }
    }
    .yy-p-box {
      width: 200px;
      text-align: right;
      padding-right: 10px;
    }
    .yy-p-icon {
      display: inline-block;
    }
    .yy-p-info {
      width: $main-width - 200px;
    }
    .yy-p-title {
      margin-bottom: 14px;
      font-size: 26px;
    }
    .yy-p-text {
      color: #989898;
      font-size: 14px;
      line-height: 1.6;
    }
    .yy-p-feature1 {
      .yy-p-icon {
        @include sprite($feature-1, inline-block);
        @extend .yy-land-to-icon;
      }
    }
    .yy-p-feature2 {
      .yy-p-icon {
        @include sprite($feature-2, inline-block);
        @extend .yy-land-to-icon;
      }
    }
    .yy-p-feature3 {
      .yy-p-icon {
        @include sprite($feature-3, inline-block);
        @extend .yy-land-to-icon;
      }
    }
    .yy-p-feature4 {
      .yy-p-icon {
        @include sprite($feature-4, inline-block);
        @extend .yy-land-to-icon;
      }
    }
    .yy-p-feature5 {
      .yy-p-icon {
        @include sprite($feature-5, inline-block);
        @extend .yy-land-to-icon;
      }
    }
    .yy-p-feature6 {
      .yy-p-icon {
        @include sprite($feature-6, inline-block);
        @extend .yy-land-to-icon;
      }
    }
    .yy-p-feature7 {
      .yy-p-icon {
        @include sprite($feature-7, inline-block);
        @extend .yy-land-to-icon;
      }
    }

  }
  .yy-p-lev7 {
    font-weight: 300;
    text-align: center;
    color: #fff;
    background: $land-to-col2;
    padding: 1px 0;
    .yy-p-h {
      font-size: 40px;
      margin: 28px 0 8px;
    }
    .yy-p-sub {
      font-size: 18px;
      margin: 0 0 54px;
    }
    .yy-p-box {
      text-align: center;
      &>* {
        display: inline-block;
        vertical-align: top;
      }
    }
    form {
      width: 330px;
      text-align: left;
      font-size: 14px;
      font-weight: 400;
      margin-bottom: 40px;
      &>* {
        width: 100%;
        padding: 10px 8px;
        margin: 0 0 10px 0;
        border-radius: 3px;
      }
      input {
        background: #fff;
        color: #000;
        border: 1px solid #0085B5;
      }
      button {
        text-align: center;
        background: $land-to-col1;
        border: none;
        padding: 14px 8px;
        &:hover {
          background: darken(#FF2C3A, 15%);
        }
      }
    }
    .yy-p-image {
      width: 405px;
      height: 200px;
      background: url(../images/land-to/vin.png) no-repeat center;
      background-size: contain;
      margin-left: 30px;
    }
  }
}